List vault events
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/vault/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/vault/events \
--header 'X-API-Key: <api-key>'{
"cursor": "<string>",
"data": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"kind": "<string>",
"logIndex": 1,
"transactionHash": "<string>",
"account": "<string>",
"amountWad": "<string>",
"marketId": "<string>",
"referenceId": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}List vault events
GET
/
v1
/
vault
/
events
List vault events
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/vault/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/vault/events \
--header 'X-API-Key: <api-key>'{
"cursor": "<string>",
"data": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"kind": "<string>",
"logIndex": 1,
"transactionHash": "<string>",
"account": "<string>",
"amountWad": "<string>",
"marketId": "<string>",
"referenceId": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Tayho project API key with the scope declared by the operation.
Query Parameters
Pattern:
^(?:[1-9]|[1-9][0-9]|100)$Required string length:
1 - 512Last modified on July 24, 2026
⌘I